/***文档注释***********************************************
 * 作者            ：
 * 创建日期     ：2019-05-22
 * 描述            ：采购原料明细表
 * 注意事项     ：
 * 遗留BUG   ：
 * 修改日期     ：
 * 修改人员     ：
 * 修改内容     ：
***********************************************************/
package market.Pms.Mat.vo;
import java.io.Serializable;
import java.util.Date;

import market.Pms.Mat.mapper.PurMatDMapper;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.hnshituo.basic.vo.BaseVO;
import com.hnshituo.orm.annotation.Column;
import com.hnshituo.orm.annotation.Id;
import com.hnshituo.orm.annotation.Table;

@Table(name="PUR_MAT_D", namespace=PurMatDMapper.class)
public class PurMatD extends BaseVO implements Serializable {
	/**
	 * 
	 */
	private static final long serialVersionUID = -3112765175319131523L;
	
	/** 
	 * 产线
	 */ 
	@Column
	private String pline;
	public String getPline() {
		return this.pline;
	}
	public void setPline(String pline) {
		this.pline = pline;
	}

	/** 
	 * 采购合同号
	 */ 
	@Column
	private String pur_contract_no;
	public String getPur_contract_no() {
		return this.pur_contract_no;
	}
	public void setPur_contract_no(String pur_contract_no) {
		this.pur_contract_no = pur_contract_no;
	}

	/** 
	 * 进货日期
	 */ 
	@Column
	private String pur_date;
	public String getPur_date() {
		return this.pur_date;
	}
	public void setPur_date(String pur_date) {
		this.pur_date = pur_date;
	}

	/** 
	 * 订货单位
	 */ 
	@Column
	private String order_unit;
	public String getOrder_unit() {
		return this.order_unit;
	}
	public void setOrder_unit(String order_unit) {
		this.order_unit = order_unit;
	}

	/** 
	 * 牌号
	 */ 
	@Column
	private String steel_name;
	public String getSteel_name() {
		return this.steel_name;
	}
	public void setSteel_name(String steel_name) {
		this.steel_name = steel_name;
	}

	/** 
	 * 规格(mm)
	 */ 
	@Column
	private String spec;
	public String getSpec() {
		return this.spec;
	}
	public void setSpec(String spec) {
		this.spec = spec;
	}

	/** 
	 * 数量（t）
	 */ 
	@Column
	private Double pur_num;
	public Double getPur_num() {
		return this.pur_num;
	}
	public void setPur_num(Double pur_num) {
		this.pur_num = pur_num;
	}

	/** 
	 * 钢卷号
	 */ 
	@Id
	private String materailcoilno;
	public String getMaterailcoilno() {
		return this.materailcoilno;
	}
	public void setMaterailcoilno(String materailcoilno) {
		this.materailcoilno = materailcoilno;
	}

	/** 
	 * 采购合同卸货点
	 */ 
	@Column
	private String pur_unload_addr;
	public String getPur_unload_addr() {
		return this.pur_unload_addr;
	}
	public void setPur_unload_addr(String pur_unload_addr) {
		this.pur_unload_addr = pur_unload_addr;
	}

	/** 
	 * 销售合同号
	 */ 
	@Column
	private String sal_contract_no;
	public String getSal_contract_no() {
		return this.sal_contract_no;
	}
	public void setSal_contract_no(String sal_contract_no) {
		this.sal_contract_no = sal_contract_no;
	}

	/** 
	 * 结算单号
	 */ 
	@Column
	private String balance_no;
	public String getBalance_no() {
		return this.balance_no;
	}
	public void setBalance_no(String balance_no) {
		this.balance_no = balance_no;
	}

	/** 
	 * 销项
	 */ 
	@Column
	private String sales;
	public String getSales() {
		return this.sales;
	}
	public void setSales(String sales) {
		this.sales = sales;
	}

	/** 
	 * 进项
	 */ 
	@Column
	private String incoms;
	public String getIncoms() {
		return this.incoms;
	}
	public void setIncoms(String incoms) {
		this.incoms = incoms;
	}

	/** 
	 * 销售合同卸货地点
	 */ 
	@Column
	private String sal_unload_addr;
	public String getSal_unload_addr() {
		return this.sal_unload_addr;
	}
	public void setSal_unload_addr(String sal_unload_addr) {
		this.sal_unload_addr = sal_unload_addr;
	}

	/** 
	 * 销售单价
	 */ 
	@Column
	private Double sal_price;
	public Double getSal_price() {
		return this.sal_price;
	}
	public void setSal_price(Double sal_price) {
		this.sal_price = sal_price;
	}

	/** 
	 * 销售运费
	 */ 
	@Column
	private Double sal_freight_price;
	public Double getSal_freight_price() {
		return this.sal_freight_price;
	}
	public void setSal_freight_price(Double sal_freight_price) {
		this.sal_freight_price = sal_freight_price;
	}

	/** 
	 * 销项单价差额
	 */ 
	@Column
	private Double sal_price_differ;
	public Double getSal_price_differ() {
		return this.sal_price_differ;
	}
	public void setSal_price_differ(Double sal_price_differ) {
		this.sal_price_differ = sal_price_differ;
	}

	/** 
	 * 销项金额差额
	 */ 
	@Column
	private Double sal_money_differ;
	public Double getSal_money_differ() {
		return this.sal_money_differ;
	}
	public void setSal_money_differ(Double sal_money_differ) {
		this.sal_money_differ = sal_money_differ;
	}

	/** 
	 * 销项差额原因
	 */ 
	@Column
	private String sal_differ_reason;
	public String getSal_differ_reason() {
		return this.sal_differ_reason;
	}
	public void setSal_differ_reason(String sal_differ_reason) {
		this.sal_differ_reason = sal_differ_reason;
	}

	/** 
	 * 销项冲减或补收情况
	 */ 
	@Column
	private String sal_subadd_situation;
	public String getSal_subadd_situation() {
		return this.sal_subadd_situation;
	}
	public void setSal_subadd_situation(String sal_subadd_situation) {
		this.sal_subadd_situation = sal_subadd_situation;
	}

	/** 
	 * 销项冲减或补收金额
	 */ 
	@Column
	private Double sal_subadd_money;
	public Double getSal_subadd_money() {
		return this.sal_subadd_money;
	}
	public void setSal_subadd_money(Double sal_subadd_money) {
		this.sal_subadd_money = sal_subadd_money;
	}

	/** 
	 * 采购单价
	 */ 
	@Column
	private Double pur_price;
	public Double getPur_price() {
		return this.pur_price;
	}
	public void setPur_price(Double pur_price) {
		this.pur_price = pur_price;
	}

	/** 
	 * 采购运费
	 */ 
	@Column
	private Double pur_freight_price;
	public Double getPur_freight_price() {
		return this.pur_freight_price;
	}
	public void setPur_freight_price(Double pur_freight_price) {
		this.pur_freight_price = pur_freight_price;
	}

	/** 
	 * 进项单价差额
	 */ 
	@Column
	private Double in_price_differ;
	public Double getIn_price_differ() {
		return this.in_price_differ;
	}
	public void setIn_price_differ(Double in_price_differ) {
		this.in_price_differ = in_price_differ;
	}

	/** 
	 * 进项金额差额
	 */ 
	@Column
	private Double in_money_differ;
	public Double getIn_money_differ() {
		return this.in_money_differ;
	}
	public void setIn_money_differ(Double in_money_differ) {
		this.in_money_differ = in_money_differ;
	}

	/** 
	 * 进项差额原因
	 */ 
	@Column
	private String in_differ_reason;
	public String getIn_differ_reason() {
		return this.in_differ_reason;
	}
	public void setIn_differ_reason(String in_differ_reason) {
		this.in_differ_reason = in_differ_reason;
	}

	/** 
	 * 进项冲减或补收情况
	 */ 
	@Column
	private String in_subadd_situation;
	public String getIn_subadd_situation() {
		return this.in_subadd_situation;
	}
	public void setIn_subadd_situation(String in_subadd_situation) {
		this.in_subadd_situation = in_subadd_situation;
	}

	/** 
	 * 进项冲减或补收金额
	 */ 
	@Column
	private Double in_subadd_money;
	public Double getIn_subadd_money() {
		return this.in_subadd_money;
	}
	public void setIn_subadd_money(Double in_subadd_money) {
		this.in_subadd_money = in_subadd_money;
	}

	/** 
	 * 采购接单周期
	 */ 
	@Column
	private String pur_cycle;
	public String getPur_cycle() {
		return this.pur_cycle;
	}
	public void setPur_cycle(String pur_cycle) {
		this.pur_cycle = pur_cycle;
	}

	/** 
	 * 采购价格追补
	 */ 
	@Column
	private Double pur_price_add;
	public Double getPur_price_add() {
		return this.pur_price_add;
	}
	public void setPur_price_add(Double pur_price_add) {
		this.pur_price_add = pur_price_add;
	}

	/** 
	 * 采购追补金额
	 */ 
	@Column
	private Double pur_add_money;
	public Double getPur_add_money() {
		return this.pur_add_money;
	}
	public void setPur_add_money(Double pur_add_money) {
		this.pur_add_money = pur_add_money;
	}

	/** 
	 * 销售接单周期
	 */ 
	@Column
	private String sal_cycle;
	public String getSal_cycle() {
		return this.sal_cycle;
	}
	public void setSal_cycle(String sal_cycle) {
		this.sal_cycle = sal_cycle;
	}

	/** 
	 * 销售价格追补
	 */ 
	@Column
	private Double sal_price_add;
	public Double getSal_price_add() {
		return this.sal_price_add;
	}
	public void setSal_price_add(Double sal_price_add) {
		this.sal_price_add = sal_price_add;
	}

	/** 
	 * 销售追补金额
	 */ 
	@Column
	private Double sal_add_money;
	public Double getSal_add_money() {
		return this.sal_add_money;
	}
	public void setSal_add_money(Double sal_add_money) {
		this.sal_add_money = sal_add_money;
	}

	/** 
	 * 备注
	 */ 
	@Column
	private String memo;
	public String getMemo() {
		return this.memo;
	}
	public void setMemo(String memo) {
		this.memo = memo;
	}
	
	/** 
	 * 记录创建人
	 */ 
	@Column
	private String create_user;
	public String getCreate_user() {
		return this.create_user;
	}
	public void setCreate_user(String create_user) {
		this.create_user = create_user;
	}
	
	/** 
	 * 记录创建时间
	 */ 
	@Column
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date create_time;
	public Date getCreate_time() {
		return this.create_time;
	}
	public void setCreate_time(Date create_time) {
		this.create_time = create_time;
	}
	
	public String sal_money;//销售金额
	public String pur_money;//采购金额
	public String sal_pur_price;//销购价差
	public String sal_pur_freight_price;//销购运费差
	public String price_result;//盈亏价格
	public String money_result;//盈亏金额
	public String getSal_money() {
		return sal_money;
	}
	public void setSal_money(String sal_money) {
		this.sal_money = sal_money;
	}
	public String getPur_money() {
		return pur_money;
	}
	public void setPur_money(String pur_money) {
		this.pur_money = pur_money;
	}
	public String getSal_pur_price() {
		return sal_pur_price;
	}
	public void setSal_pur_price(String sal_pur_price) {
		this.sal_pur_price = sal_pur_price;
	}
	public String getSal_pur_freight_price() {
		return sal_pur_freight_price;
	}
	public void setSal_pur_freight_price(String sal_pur_freight_price) {
		this.sal_pur_freight_price = sal_pur_freight_price;
	}
	public String getPrice_result() {
		return price_result;
	}
	public void setPrice_result(String price_result) {
		this.price_result = price_result;
	}
	public String getMoney_result() {
		return money_result;
	}
	public void setMoney_result(String money_result) {
		this.money_result = money_result;
	}
	
	
}
